{ pkgs, ... }:
{
  programs.password-store = {
    enable = true;
    package =  pkgs.pass.withExtensions (exts: [
      exts.pass-otp
    ]);
    settings = { };
  };

  services.gpg-agent = {
    defaultCacheTtl = 43200;
    defaultCacheTtlSsh = 43200;
    enable = true;
    enableExtraSocket = true;
    enableSshSupport = true;
    maxCacheTtl = 86400;
    maxCacheTtlSsh = 86400;
  };
}
